<?PHP
/**************************** php ipblocker ****************************
*                     http://phpipblocker.evcz.tk                      *
*                            version 0.96a                             *
*                                                                      *
*     developed by EvolutionCrazy (AKA evcz) for B.I.S.S. forum ;)     *
*                             marco@evcz.tk                            *
*                                                                      *
*    Script distributed under GNU/GPL license (version 2 or higher)    *
*                                                                      *
*                    comments and suggestion here:                     *
*       http://www.bluetack.co.uk/forums/index.php?showforum=156       *
*                                                                      *
***********************************************************************/

//** MYSQL CONFIGURATION **
	$ipblocker['db_table_name'] = 'ipblocker';
	$ipblocker['db_user'] = 'evcz';
	$ipblocker['db_pass']= 'mypass';
	$ipblocker['db_server'] = 'localhost';
	$ipblocker['db_name'] = 'my_evcz';

	//use persistent connection? true or false? (in 99.9% of cases it has to be set on false :P)
	$ipblocker['persistent'] = false;

	//disconnect from the sql server at the end? (generally must be set to true, set it as false ONLY if your website doesn't work using true)
	$ipblocker['disconnect'] = true;

//** EMAIL **
	//send out a mail when a blocklisted ip contact you? true or false
	$ipblocker['sendMail'] = true;

	//email of the website admin
	$ipblocker['adminMail'] = 'foo@domain.xyz';


//** LOGGING **
	//log unwanted access? true or false
	$ipblocker['logAccess'] = true;
		
		//full path of the directory where logs files will be saved (must be writable and must end with /)
		$ipblocker['fullpathLogName'] = '/membri/evcz/logaccess/';
		
		//how often you want to archive the log?
		//a new log file will be created every:
		$ipblocker['logFrequency'] = 'month';
		//others options available are:
		//$ipblocker['logFrequency'] = 'day';
		//$ipblocker['logFrequency'] = 'month';
		//$ipblocker['logFrequency'] = 'year';
			//another options is to set a fix filename if you don't want to archive it
			//in this way the log is mantained forever
			//change "filename.log" with the filename you want to use (it will be saved in the dir specified before)
			//$ipblocker['logFrequency'] = 'filename.log';

	//only for debug purpose
	//total_loggin: log ALL the ips connections (true or false)
	$ipblocker['total_logging'] = false;

		//filename of the log... it will be saved in the "fullpathLogname" dir explained before
		$ipblocker['total_logging_filename'] = 'total_logger.log';

		//default: 262144byte = 256kb (NOT YET WORKING!)
		$ipblocker['total_logging_filesize'] = 262144;

//** PROXY CHECKING **
	//control if the user is using a transparent proxy and try to retrieve his original ip
	//true or false
	$ipblocker['proxyCheck']= false;
	
	
//** BLOCKING **
	//block unwanted access? true or false
	$ipblocker['blockThem']= true;

		//$ipblocker['blockTipe']: the tipe of block you want to use
		//0=404error, 1=403error, 2=redirect, 3=explicit message
		$ipblocker['blockTipe'] = 3;

		//$ipblocker['blockRedirectURL'] (necessary only if $ipblocker['blockTipe'] = 2)
		$ipblocker['blockRedirectURL'] = 'http://www.google.com/';

		//$ipblocker['blockExplicitReference'] (necessary only if $ipblocker['blockTipe'] = 3)
		//additional text added to the message showed to the unwanted visitors: default an hyperlink to the admin mail, you can left it blank if you want
		$ipblocker['blockExplicitReference'] = 'If you think that we are in wrong blocking you, contact us: '.ipblocker_encode_mail($ipblocker['adminMail']).'';


//** LIST LOCATIONS **
	//location of the blocklist (can be a local filename or a remote url)
	//
	//NOTE: more lists require more server power and generate more cpu load!
	//use only the necessary lists :P
	//
	//the list MUST be in format: rangename:x.x.x.x-x.x.x.x
	//
	//if your webserver can't connect to other servers upload the antip2p.txt in the dir of this file and use this config:
	//$ipblocker_listLocation[] = "antip2p.txt";
	
	//NOTE: the antip2p.txt list is growing quickly... now it's about 1.5mb... some server take a while to download a similar huge file...
	//till we switch to a compressed list u may be to download it manually, upload in the maintain dir and then use the config line above to
	//read the local list instead of the remote list...
	$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/antip2p.txt';
	
	//this other lists instead aren't so big :P
	$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/iana-multicast.txt';
	$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/iana-private.txt';
	$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/iana-reserved.txt';
	$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/spyware.txt';
	//$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/ad-trackers-and-bad-pr0n.txt';
	//$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/bogon.txt';
	//$ipblocker_listLocation[] = 'http://bluetack.co.uk/config/dshield.txt';

/**********************************************************************
* This script is free software; you can redistribute it and/or        *
* modify it under the terms of the GNU Lesser General Public          *
* License as published by the Free Software Foundation.               *
*                                                                     *
* This script is distributed in the hope that it will be useful,      *
* but WITHOUT ANY WARRANTY; without even the implied warranty of      *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   *
* Lesser General Public License for more details.                     *
*                                                                     *
* You should have received a copy of the GNU Lesser General Public    *
* License along with this library; if not, write to the               *
* Free Software Foundation, Inc.,                                     *
* 59 Temple Place, Suite 330,                                         *
* Boston, MA                                                          *
* 02111-1307                                                          *
* USA                                                                 *
*                                                                     *
* For further information, visit www.gnu.org                          *
**********************************************************************/

?>